Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 786201 - sys-devel/llvm-10.0.1 fails to compile
Summary: sys-devel/llvm-10.0.1 fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: LLVM support project
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-04-28 06:27 UTC by Agostino Sarubbo
Modified: 2021-05-02 02:36 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,512.29 KB, text/plain)
2021-04-28 06:27 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-04-28 06:27:19 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sys-devel/llvm-10.0.1 fails to compile.
Discovered on: amd64 (internal ref: ci)

NOTE:
This machine uses GCC-11
Comment 1 Agostino Sarubbo gentoo-dev 2021-04-28 06:27:23 UTC
Created attachment 702753 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-04-28 06:27:24 UTC
Possible context of error(s):

-- Could NOT find Z3: Found unsuitable version "0.0.0", but required is at least "4.7.1" (found Z3_LIBRARIES-NOTFOUND)
-- Could NOT find OCaml (missing: OCAMLFIND OCAML_VERSION OCAML_STDLIB_PATH) 
-- Could NOT find OCaml (missing: OCAMLFIND OCAML_VERSION OCAML_STDLIB_PATH) 
-- Could NOT find Python module pygments
-- Could NOT find Python module pygments.lexers.c_cpp
-- Could NOT find Python module yaml
/var/tmp/portage/sys-devel/llvm-10.0.1/work/llvm/utils/benchmark/src/benchmark_register.h:17:30: error: ‘numeric_limits’ is not a member of ‘std’
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-04-28 07:38:55 UTC
I'm not going to maintain LLVM 10 beyond cherry-picking patches somebody else finds.
Comment 4 Stephan Hartmann gentoo-dev 2021-04-28 09:20:54 UTC
(In reply to Michał Górny from comment #3)
> I'm not going to maintain LLVM 10 beyond cherry-picking patches somebody
> else finds.

https://github.com/llvm/llvm-project/commit/b498303066a63a203d24f739b2d2e0e56dca70d1
Comment 5 Martin Sekera 2021-04-28 11:29:06 UTC
sys-devel/llvm-10.0.1 with the one-line patch linked above builds successfully with gcc-11.1.0 on amd64
Comment 6 Larry the Git Cow gentoo-dev 2021-04-28 13:02:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8dd39b95a9f8c949c2f1fe9c4ee0e284625afa1

commit f8dd39b95a9f8c949c2f1fe9c4ee0e284625afa1
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2021-04-28 12:59:21 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2021-04-28 13:02:21 +0000

    sys-devel/llvm: Backport gcc-11 build fix
    
    Thanks to Stephan Hartmann for pointing out the relevant commit.
    
    Closes: https://bugs.gentoo.org/786201
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 sys-devel/llvm/Manifest           | 2 +-
 sys-devel/llvm/llvm-10.0.1.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)